﻿using Android.App;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;
using Android.Views;
using System;
using Android.Graphics;
using Android.Content;

namespace GettingStarted
{
	[Activity (Label = "SfDataGrid", MainLauncher = true, Icon = "@drawable/icon")]
	public class MainActivity : Activity
	{
		SfDataGrid dataGrid;
        OrderInfoRepository viewModel;
		LinearLayout linearLayout;
        protected override void OnCreate (Bundle bundle)
		{
            base.OnCreate(bundle);
            Window.AddFlags(WindowManagerFlags.Fullscreen);
            Window.ClearFlags(WindowManagerFlags.ForceNotFullscreen);
            dataGrid = new SfDataGrid(this);
            viewModel = new OrderInfoRepository();
            linearLayout = new LinearLayout(this);
            
            dataGrid.ItemsSource = viewModel.OrderInfoCollection;
            dataGrid.AllowEditing = true;
            dataGrid.EditTapAction = TapAction.OnTap;
            dataGrid.SelectionMode = SelectionMode.Single;
            dataGrid.NavigationMode = NavigationMode.Cell;
            dataGrid.ColumnSizer = ColumnSizer.Star;
            dataGrid.AutoGenerateColumns = false;
            dataGrid.EditorSelectionBehavior = EditorSelectionBehavior.SelectAll;
            dataGrid.EditTapAction = TapAction.OnTap;
            dataGrid.RowHeight = 60;
            dataGrid.NavigationMode = NavigationMode.Cell;
            dataGrid.SelectionMode = SelectionMode.Single;
           dataGrid.ScrollingMode = ScrollingMode.Line;
            dataGrid.TextAlignment = TextAlignment.Center;
            GridTextColumn customerIdColumn = new GridTextColumn();
            customerIdColumn.UserCellType = typeof(CustomCell);
            customerIdColumn.MappingName = "Dummy";
            customerIdColumn.HeaderText = "RadioColumn";
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "OrderID" });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "CustomerID" });
            dataGrid.Columns.Add(customerIdColumn);
            dataGrid.SetBackgroundColor(Color.Purple);
            SetContentView(dataGrid);

        }
        public class CustomCell : GridCell
        {
            LinearLayout layout;
            RadioGroup radioGroup;
            RadioButton radioButton;
            RadioButton radioButton1;

            public CustomCell(Context context) : base(context)
            {
                
                layout = new LinearLayout(this.Context);
                radioGroup = new RadioGroup(this.Context);
                radioButton = new RadioButton(this.Context);
                radioButton1 = new RadioButton(this.Context);
                radioGroup.AddView(radioButton);
                radioGroup.AddView(radioButton1);
                layout.AddView(radioGroup);
                this.AddView(layout);
            }

            protected override void UnLoad()
            {
                if (this.Parent != null)
                    (this.Parent as VirtualizingCellsControl).RemoveView(this);
            }

            protected override void OnLayout(bool change, int l, int t, int r, int b)
            {
                this.layout.Layout(0, 0, this.Width, this.Height);
            }

            protected override void OnMeasure(int widthMeasureSpec, int heightMeasureSpec)
            {
                base.OnMeasure(widthMeasureSpec, heightMeasureSpec);
                this.layout.Measure(widthMeasureSpec, heightMeasureSpec);
            }

            protected override void OnDraw(Canvas canvas)
            {
                base.OnDraw(canvas);
                this.radioButton.Text = "Yes";
                this.radioButton1.Text = "No";
            }
        }
    }
}


